1 Reply Latest reply: Dec 30, 2012 6:18 AM by Gary Scotland
Stef4153 Level 1 Level 1 (0 points)

Where can I get older version of aperture software that run with osx snow leopard?


Aperture 3, Mac OS X (10.6.8)